Bug 175065 - 2.6.14-1.1739_FC5 fails to sleep on a Powerbook
2.6.14-1.1739_FC5 fails to sleep on a Powerbook
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 23:45 EST by Jesse Barnes
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 18:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Barnes 2005-12-05 23:45:05 EST
Closing the lid on my powerbook fails to sleep.  I don't have the full log, 
but the adb driver is apparently failing to respond to the sleep call.  Is 
this a known problem?
Comment 1 Benjamin Herrenschmidt 2005-12-06 17:25:18 EST
It's probably not ADB, ADB just happen to be the last to be woken back up after
the failure. It's generally a USB problem (as most PM issues are ...)
Comment 2 Jesse Barnes 2005-12-07 13:12:09 EST
Yeah, I don't have the dmesg handy, but adb was the last thing I saw on the 
screen.  When I get home I'll try to get the complete output and post it here.  
I'll also see if rmmoding the USB drivers before I close the lid helps. 
 
Jesse 
Comment 3 Jesse Barnes 2005-12-07 23:19:08 EST
Here's the relevant part of the logs after a suspend attempt.  Looks like 
hci_usb is the problem.  If I rmmod it prior to closing the lid, sleep works 
correctly. 
 
hci_usb 1-1:1.1: no suspend? 
hci_usb 1-1:1.0: no suspend? 
Could not suspend device 1-1: error -16 
adb: starting probe task... 
adb devices: [2]: 2 c3 [3]: 3 1 [7]: 7 1f 
ADB keyboard at 2, handler 1 
ADB mouse at 3, handler set to 4 (trackpad) 
adb: finished probe task... 
Driver sleep failed 
Sleep rejected by devices 
 
Comment 4 David Woodhouse 2005-12-08 03:27:13 EST
The hci_usb driver lacks a suspend method. A workaround is to add 'hid2hci
--tohid; sleep 1' in the sleep) section and 'hid2hci' in the wakeup) section of
/etc/power/pwrctl-local.
Comment 5 Dave Jones 2006-10-16 14:39:35 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Jesse Barnes 2006-10-30 13:46:15 EST
Recent FC6 kernels seem to suspend/resume just fine (though they're awfully 
verbose when they do it but that's another issue altogether).

Note You need to log in before you can comment on or make changes to this bug.